--- title: "Get NMS IPs at Domain" slug: "get-nms-ips-at-domain" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:35:43Z published: 2026-09-23T09:35:43Z canonical: "docs.trellix.com/get-nms-ips-at-domain" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get NMS IPs at Domain This URL gets the NMS IPs present at the domain and the parent domains. ## Resource URL GET /domain/ /nmsips ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domainId | Domain id | Number | Yes | ## Response Parameters Following fields are returned. | Field Name | Description | Data Type | | --- | --- | --- | | NMSIPList | Contains the list of NMS IPs | ObjectList | Details of fields in NMSIPList: | Field Name | Description | Data Type | | --- | --- | --- | | NMSIPDetails | NMS IP details | Object | Details of fields in NMSIPDetails: | Field Name | Description | Data Type | | --- | --- | --- | | IPAddress | NMS IP | String | | IPId | Id of the NMS IP | Number | | createdAt | Resource where the NMS IP was created | String | ## Example **Request** GET [https:///sdkapi/domain/101/nmsips](https://%3CNSM_IP%3E/sdkapi/domain/101/nmsips) **Response** ``` {       "nmsIPDetails":       [           {               "IPAddress": "1.1.1.1",               "IPId": 49,               "createdAt": "/My Company"           },           {               "IPAddress": "2.2.2.2",               "IPId": 50,               "createdAt": "/My Company/Test Child Domain 1"           }       ]    } ```   ## Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain |